#region Using Statements
using System;
using System.Collections.Generic;
using System.Text;using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace GhostArena3D
{
   class Player
   {
      int health;
      BoundingSphere collisionSphere;
      
      
      public int Health
      {
         get { return health; }
         set { health = value; }
      }
      
      
      public BoundingSphere CollisionSphere
      {
         get { return collisionSphere; }
         set { collisionSphere = value; }
      }
      
      
      public Player()
      {
         health = 0;
         collisionSphere = new BoundingSphere(Vector3.Zero, 1.0f);
      }
      
      
      public Player(int startingHealth, BoundingSphere boundingSphere)
      {
         health = startingHealth;
         collisionSphere = boundingSphere;
      }
      
      
      public void SetCollisionCenter(Vector3 center)
      {
         collisionSphere.Center = center;
      }
   }
}
